/***************************************************************************
                          kcoverroundpage.cpp  -  description
                             -------------------
    begin                : Tue Mar 27 2001
    copyright            : (C) 2001 by Pascal 'PeP' Panneels
    email                : pp@bvdep.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcoverroundpage.h>
#include <id.h>
#include <qcolor.h>

KCoverRoundPage::KCoverRoundPage()
 : KCoverPage()
{
	DrawBorder = true;
}

KCoverRoundPage::~KCoverRoundPage()
{
}

void KCoverRoundPage::DrawLayout(QPainter *paint, QPoint orig)
{
	if ( !DrawBorder )
		return;
		
	// draw the layout
  paint->setPen( Qt::black );

	paint->drawEllipse( orig.x(), orig.y(), ROUND_BIG, ROUND_BIG );
	paint->drawEllipse( orig.x()+(ROUND_BIG/2)-(ROUND_SMALL/2), orig.y()+(ROUND_BIG/2)-(ROUND_SMALL/2), ROUND_SMALL, ROUND_SMALL );
	
	// draw the center point...	
	//paint->drawPoint( orig.x()+(ROUND_BIG/2), orig.y()+(ROUND_BIG/2) );
}

/** paint the page */
/*void KCoverRoundPage::Paint(QPainter *paint, QPoint orig)
{
	// draw the layout
	DrawLayout(paint, orig);

	// draw the images
	if ( Images.size() )
		{
		for (unsigned int i=0;i<Images.size();i++)
			{
			KCoverImage * img = GetImage(i);
			img->Paint( *paint, orig, FRONT_H, FRONT_V );
			}
		}

	// draw the texts
	if ( Strings.size() )
		{
		for (unsigned int i=0;i<Strings.size();i++)
			{
			KCoverString * str = GetString(i);
			str->Paint(*paint, orig );
			}
		}
    	
	// draw the curved texts
	if ( CurvedStrings.size() )
		{
		for (unsigned int i=0;i<CurvedStrings.size();i++)
			{
			KCoverCurvedString * str = GetCurvedString(i);
			str->Paint(*paint, orig );
			}
		}

	// draw the multi line texts
	if ( MultiStrings.size() )
		{
		for (unsigned int i=0;i<MultiStrings.size();i++)
			{
			KCoverMultiString * str = GetMultiString(i);
			str->Paint(*paint, orig );
			}
		}

}
  */